Здравей Гост ! Регистрирай се и влез .

Навигация на книгата

Последни коментари

Кой е онлайн

В момента са 0 потребители и 0 гости online.

Гласуване

Колко тестови Друпал сайта имате?
1-5 бр.
59%
5-10 бр.
16%
10-15 бр.
8%
15-20 бр.
3%
20-30 бр.
3%
30-40 бр.
3%
40-50 бр.
3%
над 50 бр.
5%
Общо гласове: 37

Разпространи

Разпространи съдържание
  1. Уеб-сървър, който може да стартира PHP скриптове.
    Препоръчваме: Apache.
    • Drupal ще работи на Apache 1.3 или Apache 2.x хоствани на Unix или Windows сървър.
      Голяма част от разработката на Drupal е извършена при използване на Apache. Drupal е тестван много интензивно с Apache и двете системи са доказали, че се сработват перфектно. Като опция можете да включите модула mod_rewrite на Apache, за може да работи с Clean URLs.

    Опция: IIS

    • Ядрото на Drupal ще работи със IIS5 или IIS6, ако конфигурацията на PHP е коректна. За да използвате Clean URLs, трябва да потърсите решение от трети производител. От гледна точака на поддържката на IIS от Майкрософт, ви препоръчваме да използвате IIS6.

    Drupal е разработен да бъде независим от уеб-сървъра, но няма достатъчно информация за успешното му използване с други уеб-сървъри.

  2. PHP
    PHP 4.3.3 или по-нова версия (изисква се от Drupal версия 4.7 и по-нова). PHP 5.2 е специален случай. Само Drupal 4.7.5 (или по-нова версия) и Drupal 5.0 (или по-нова версия) работят с него. Ние ви препоръчваме да използвате най-новата версия на PHP 4.x. или 5.x, заради сигурността и бъдещата съвместимост.
    • Изисква приблизително 8MB за PHP за "прясна" инсталация. В реална ситуация сигурно ще искате да използвате повече памет, в зависимост от съдържанието на вашия сайт и модулите на Drupal, които сте инсталирали и активирали. Като за начало можете да отделите 16-24 MB за целта.
    • PHP XML разширението (за модулите Blog API, Drupal, Ping). Това разширение е активирано по подразбиране в стандартната PHP инсталация; версиите на PHP за Windows имат вградена поддръжка за това разширение.
    • За да работи Drupal, в PHP трябва да бъдат установени определени стойности за някои променливи.
    • Някои от тези настройки се съдържат в подразбиращия се файл .htaccess, който се доставя със инсталацията на Drupal, така, че няма нужда да ги променята ръчно. Отбележете, обаче, че конфигурационните опции във файла .htaccess работят само при следните условия:
      • ако се използва Apache;
      • ако от файла .htaccess може да се чете, тоест ако AllowOverride не е 'None';
      • ако PHP е инсталирано като модул на Apache.
  3. Система за база данни поддържаща PHP
    Препоръчваме: MySQL 4.1 или MySQL 5.0.
    • Drupal ще работи със MySQL версия 3.23.17 и 4.0, но ние силно ви препоръчваме да използвате 4.1 или 5.0, с цел бъдеща съвместимост със Drupal 6, който няма да поддържа по стари версии от MySQL 4.1

    Опция: PostgreSQL, версия 7.3 или по-нова.